<script setup lang="ts">
import { ref} from 'vue'
import api from '../service/apiCaller';

const username = ref('')
const password = ref('')

const emit = defineEmits(['hide'])
const onSubmit = () => {
    api.post('user', {
        "username": username.value,
        "password": password.value
    }).then(() => emit('hide'))
}   

const onReset = () => {
    username.value = ''
    password.value = ''
}

</script>

<template>
    <div class="q-pa-md" style="max-width: 400px">
  
     <q-form
        @submit="onSubmit"
        @reset="onReset"
        class="q-gutter-md"
    >
        <q-input
            class="username"
            filled
            v-model="username"
            label="username"
        />
        <q-input
            class="password"
            filled
            v-model="password"
            label="password"
        />
        <div>
            <q-btn class="create" label="Submit" type="submit" color="primary"/>
        </div>
    </q-form>

    </div>
</template>

<style scoped>
</style>
